> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/password-manager/application/tools.md).

# Tools

Use Devolutions Password Manager tools to generate passwords, run custom installations, and import or export entries in CSV, JSON, or XML format.

The ***Tools*** section is located in the side-panel.

### Password generator <a href="#password-generator" id="password-generator"></a>

Create random passwords and passphrases that are and difficult to interpret or predict, due to a mix of uppercase and lowercase letters, numbers, and punctuation symbols.

### Custom installation <a href="#custom-installation" id="custom-installation"></a>

Custom installations can be created to facilitate workspace deployment on multiple machines with the same preconfigured settings. See [Installation](/password-manager/application/installation.md#custom-installation) for more details.

### Import entries <a href="#import-entries" id="import-entries"></a>

Devolutions Password Manager supports native formats for many popular tools. If a native format or third-party tool is not supported, use the ***Custom*** option to import files in `.cvs` or `.json` format.

### Export entries <a href="#export-entries" id="export-entries"></a>

Devolutions Password Manager supports support entry exportation in `.csv`, `.json`, and `.xml` formats. Entries have their data encrypted with a password, their sensitive values hidden, and their attachments and documents included.

#### See also

* [Devolutions Academy – Use the Devolutions Password Manager Importer](https://academy.devolutions.net/student/page/3516218-use-the-devolutions-password-manager-importer?curriculum_activity_id=5612175\&path_id=2628397\&sid=22461176-32b8-45f3-a58f-f86c27578c8b\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/password-manager/application/tools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
